## GnomeDbCanvasCursor

GnomeDbCanvasCursor — Represents a small cursor used when a drag and drop operations occurs within the canvas

##

# Synopsis

    struct      GnomeDbCanvasCursor;
    struct      GnomeDbCanvasCursorClass;
    GooCanvasItem* gnome_db_canvas_cursor_new   (GooCanvasItem *parent,
                                                 ...);

## Object Hierarchy

      GObject
       +----GooCanvasItemSimple
             +----GooCanvasGroup
                   +----GnomeDbCanvasItem
                         +----GnomeDbCanvasCursor

## Implemented Interfaces

GnomeDbCanvasCursor implements GooCanvasItem.

## Properties

      "fill-color"           gpointer             : Read / Write
      "height"               gdouble              : Read / Write
      "width"                gdouble              : Read / Write
      "x"                    gdouble              : Write
      "y"                    gdouble              : Write

## Description

## Details

### struct GnomeDbCanvasCursor

    struct GnomeDbCanvasCursor;

### struct GnomeDbCanvasCursorClass

    struct GnomeDbCanvasCursorClass {

    	GnomeDbCanvasItemClass   parent_class;
    };

### gnome_db_canvas_cursor_new ()

    GooCanvasItem* gnome_db_canvas_cursor_new   (GooCanvasItem *parent,
                                                 ...);

Creates a new canvas item to display the `txt` message

`parent` : | the parent item, or NULL.
`...` : | optional pairs of property names and values, and a terminating NULL.
Returns : | a new GooCanvasItem object

## Properties

"`fill-color`" (gpointer : Read / Write) |
"`height`" (gdouble : Read / Write) |
"`width`" (gdouble : Read / Write) |
"`x`" (gdouble : Write) |
"`y`" (gdouble : Write) |